--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
constants: []

full_name: UnifiedRuby
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: process
- !ruby/object:RI::MethodSummary 
  name: rewrite_argscat
- !ruby/object:RI::MethodSummary 
  name: rewrite_argspush
- !ruby/object:RI::MethodSummary 
  name: rewrite_attrasgn
- !ruby/object:RI::MethodSummary 
  name: rewrite_begin
- !ruby/object:RI::MethodSummary 
  name: rewrite_block_pass
- !ruby/object:RI::MethodSummary 
  name: rewrite_bmethod
- !ruby/object:RI::MethodSummary 
  name: rewrite_call
- !ruby/object:RI::MethodSummary 
  name: rewrite_dasgn
- !ruby/object:RI::MethodSummary 
  name: rewrite_dasgn_curr
- !ruby/object:RI::MethodSummary 
  name: rewrite_defn
- !ruby/object:RI::MethodSummary 
  name: rewrite_defs
- !ruby/object:RI::MethodSummary 
  name: rewrite_dmethod
- !ruby/object:RI::MethodSummary 
  name: rewrite_dvar
- !ruby/object:RI::MethodSummary 
  name: rewrite_fcall
- !ruby/object:RI::MethodSummary 
  name: rewrite_masgn
- !ruby/object:RI::MethodSummary 
  name: rewrite_op_asgn1
- !ruby/object:RI::MethodSummary 
  name: rewrite_resbody
- !ruby/object:RI::MethodSummary 
  name: rewrite_rescue
- !ruby/object:RI::MethodSummary 
  name: rewrite_splat
- !ruby/object:RI::MethodSummary 
  name: rewrite_super
- !ruby/object:RI::MethodSummary 
  name: rewrite_vcall
- !ruby/object:RI::MethodSummary 
  name: rewrite_yield
- !ruby/object:RI::MethodSummary 
  name: rewrite_zarray
name: UnifiedRuby
superclass: 
